Bug 212275 - Abort when clicking on bottom right button
Abort when clicking on bottom right button
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-25 18:54 EDT by Tom London
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 13:21:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2006-10-25 18:54:06 EDT
Description of problem:
If you click on the 'button' (looks like a computer display) on the bottom right
corner, you get:
13018: assertion failed "(connection)->have_connection_lock" file
"dbus-connection.c" line 1708 function _dbus_connection_open_internal
  /lib/libdbus-1.so.3 [0x3948fd]
  /lib/libdbus-1.so.3 [0x3945c7]
  /lib/libdbus-1.so.3 [0x380577]
  /lib/libdbus-1.so.3 [0x3549e2]
  /lib/libdbus-1.so.3 [0x34a783]
  /usr/lib/libgnomevfs-2.so.0 [0x56bf47]
  /usr/lib/libgnomevfs-2.so.0 [0x58c6d8]
  /usr/lib/libgnomevfs-2.so.0 [0x58c293]
  /lib/libgobject-2.0.so.0(g_type_create_instance+0x4ca) [0x19872a]
  /lib/libgobject-2.0.so.0 [0x180012]
  /lib/libgobject-2.0.so.0(g_object_newv+0x2cb) [0x17dc6b]
  /lib/libgobject-2.0.so.0(g_object_new_valist+0x21f) [0x17e7cf]
  /lib/libgobject-2.0.so.0(g_object_new+0x40) [0x17e980]
  /usr/lib/libgnomevfs-2.so.0 [0x58d050]
  /usr/lib/libgnomevfs-2.so.0(gnome_vfs_get_volume_monitor+0x1e) [0x58d0e6]
  /usr/lib/gtk-2.0/2.10.0/filesystems/libgnome-vfs.so [0xe543b4]
  /lib/libgobject-2.0.so.0(g_type_create_instance+0x4ca) [0x19872a]
  /lib/libgobject-2.0.so.0 [0x180012]
  /lib/libgobject-2.0.so.0(g_object_newv+0x2cb) [0x17dc6b]
  /lib/libgobject-2.0.so.0(g_object_new_valist+0x21f) [0x17e7cf]
  /lib/libgobject-2.0.so.0(g_object_new+0x40) [0x17e980]
 
/usr/lib/gtk-2.0/2.10.0/filesystems/libgnome-vfs.so(gtk_file_system_gnome_vfs_new+0x27)
[0xe540d9]
  /usr/lib/gtk-2.0/2.10.0/filesystems/libgnome-vfs.so(fs_module_create+0x17)
[0xe5a1a5]
  /usr/lib/libgtk-x11-2.0.so.0 [0x6bb3ed]
  /usr/lib/libgtk-x11-2.0.so.0(gtk_file_system_create+0xd3) [0x6bb573]
  /usr/lib/libgtk-x11-2.0.so.0 [0x6ac134]
  /lib/libgobject-2.0.so.0 [0x1801ec]
  /usr/lib/libgtk-x11-2.0.so.0 [0x6afaa1]
  /lib/libgobject-2.0.so.0(g_object_newv+0x2cb) [0x17dc6b]
  /lib/libgobject-2.0.so.0(g_object_new_valist+0x2c9) [0x17e879]
  /lib/libgobject-2.0.so.0(g_object_new+0x40) [0x17e980]
  /usr/lib/libgtk-x11-2.0.so.0 [0x6a1738]
  /usr/lib/libgtk-x11-2.0.so.0 [0x6b406c]
  /lib/libgobject-2.0.so.0(g_object_newv+0x2cb) [0x17dc6b]
  /lib/libgobject-2.0.so.0(g_object_new_valist+0x21f) [0x17e7cf]
  /lib/libgobject-2.0.so.0(g_object_new+0x40) [0x17e980]
  /usr/lib/libgtk-x11-2.0.so.0 [0x6b044d]
  /lib/libgobject-2.0.so.0(g_object_newv+0x2cb) [0x17dc6b]
  /lib/libgobject-2.0.so.0(g_object_new_valist+0x2c9) [0x17e879]
  /lib/libgobject-2.0.so.0(g_object_new+0x40) [0x17e980]
  /usr/lib/libgtk-x11-2.0.so.0 [0x6aff4e]
  /usr/lib/libgtk-x11-2.0.so.0(gtk_file_chooser_dialog_new+0x2c) [0x6afffc]
  gaim(gaim_gtk_buddy_icon_chooser_new+0xa8) [0x80d6ff8]
  gaim [0x80d4b9a]
  /usr/lib/libgtk-x11-2.0.so.0 [0x70c0f0]
  /lib/libgobject-2.0.so.0(g_closure_invoke+0x12b) [0x178e6b]
  /lib/libgobject-2.0.so.0 [0x189de3]
  /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x667) [0x18b0a7]
  /lib/libgobject-2.0.so.0(g_signal_emit+0x29) [0x18b499]
  /usr/lib/libgtk-x11-2.0.so.0 [0x820218]
  /usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x183) [0x705593]
  /usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x317) [0x706797]
  /usr/lib/libgdk-x11-2.0.so.0 [0xc9e0da]
  /lib/libglib-2.0.so.0(g_main_context_dispatch+0x182) [0x1da2d2]
  /lib/libglib-2.0.so.0 [0x1dd2af]
  /lib/libglib-2.0.so.0(g_main_loop_run+0x1a9) [0x1dd659]
  /usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4) [0x706c14]
  gaim(main+0x899) [0x80afba9]
  /lib/libc.so.6(__libc_start_main+0xdc) [0x47539f2c]
  gaim [0x8064891]
Aborted



Version-Release number of selected component (if applicable):
gaim-2.0.0-0.16.beta4.fc7

How reproducible:
every time

Steps to Reproduce:
1. start gaim
2. click on button on bottom right corner
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2006-10-29 15:45:36 EST
Similar crash with gaim-2.0.0-0.18.beta4.fc7
Comment 2 Tom London 2006-11-16 10:39:38 EST
Ahh.... That button is to select the 'buddy icon'.....

This seems not to crash anymore with gaim-2.0.0-0.20.beta4.fc7, but only pops up
the file selection/browser window on the first one or two times it is clicked. 
After that, no visible effect on clicking it.....
Comment 3 Tom London 2006-11-22 13:21:31 EST
Seems fixed in gaim-2.0.0-0.22.beta5.fc7

Note You need to log in before you can comment on or make changes to this bug.